# -*- encoding: utf-8 -*-
# stub: medusa-crawler 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "medusa-crawler".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/brutuscat/medusa-crawler/issues", "description_markup_format" => "rdoc", "source_code_uri" => "https://github.com/brutuscat/medusa-crawler/tree/v1.0.0" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Mauro Asprea".freeze, "Chris Kite".freeze]
  s.cert_chain = ["-----BEGIN CERTIFICATE-----\nMIIERDCCAqygAwIBAgIBATANBgkqhkiG9w0BAQsFADAmMSQwIgYDVQQDDBttYXVy\nb2FzcHJlYS9EQz1nbWFpbC9EQz1jb20wHhcNMjAwODA2MTEwNDAzWhcNMjEwODA2\nMTEwNDAzWjAmMSQwIgYDVQQDDBttYXVyb2FzcHJlYS9EQz1nbWFpbC9EQz1jb20w\nggGiMA0GCSqGSIb3DQEBAQUAA4IBjwAwggGKAoIBgQDNsvJN5orxdj+eEUiSttpC\n6N6IeTK/btk65TAbZlY7/9MVIHM/Ya3tUSWoQA6KURsksV+lUbJm0MC4pwm5y46T\np+Q6/eDz8gmofian4X+y3inyzYqmvbM2t2mPcO+Mj1NjSfGn56jqk0ey32xL7cz3\nYZqx9LnkUUuqzn4QM+R8LfGUWXe9nlkMoLoNGw+X1XB8bPYoQo2YpofILEWcCLJl\nNnFjcjIzQuE3NDaPIBX/cXPDpvuKNVXw51My35pQb5uW4Aa7sRZAz1MCDoFA1+XO\n9czVf+zE+YsMtuqruWOI08TEPD2kMeiDqMc1fbPkLN9Rhe2Nxj8fTK1Ptyz0mQJL\nx5cQZT2XK+nmZKiU/z+91XU17BNd+LEERU6ZmjkGQKUH/Gj060kQWMnw2sOsZJS9\nVVU/raletJxhODeQbShcrxUR6VSGDkgQa4G/rqtPjUQ9AXYeNeVBg2aE4DRTRFhy\ngYsyE9DbAluV7BcJWO+GKntyXqhu14dnATCfSFI3WMsCAwEAAaN9MHswCQYDVR0T\nBAIwADALBgNVHQ8EBAMCBLAwHQYDVR0OBBYEFAjiCg2cEkNDWhG4P1PgDwATcmgR\nMCAGA1UdEQQZMBeBFW1hdXJvYXNwcmVhQGdtYWlsLmNvbTAgBgNVHRIEGTAXgRVt\nYXVyb2FzcHJlYUBnbWFpbC5jb20wDQYJKoZIhvcNAQELBQADggGBAG4S5uDseGtN\nEqxvogGfJ+h7Pg5pdDsMVFWXOPN9IztSHE+88Ypv9b97zNk/vBztj3nwkUuhEczv\nGZeI9/F72j1+8ARWdNgHalsrTHcFWaGEYNkm06EGh21dtO939Uqjg9auv9thDD/C\n4jlEii1EvaGIaMhEdONAiRyOj0gEagw1AU5ItSxoWHFaaCEQSqXRskZMpw6fDZrE\njnJPYx5I8axku6D+/nlP3GeuMNwlqzTg1YblLDanzEdI7Yet41MgMwLcor6Z4BXb\nxKDzHfGjkQfEpEvwzqSi0rAbrMv68FRybNxgB/3gwgSiEaeFeE4CFX0gm1F3m28m\nZ9rgjNU1SA9dSTGLY14K3rjtn71PMlP64Ci+QJ0HA8V0+cpx1Lkn3WsywgILV16a\ng4G6EZGbKCMwJDC0Wtmrygr7+THZVQlBs0ljTdrN8GXsuI9W52VlZctZQXEuoboH\nmpXw1d3WewNciml1VaOG782DKqZvT0i19V5LnZzoGzmU2q3ZJw7jCw==\n-----END CERTIFICATE-----\n".freeze]
  s.date = "2020-08-17"
  s.description = "== Medusa: a ruby crawler framework {rdoc-image:https://badge.fury.io/rb/medusa-crawler.svg}[https://rubygems.org/gems/medusa-crawler] rdoc-image:https://github.com/brutuscat/medusa-crawler/workflows/Ruby/badge.svg?event=push\n\nMedusa is a framework for the ruby language to crawl and collect useful information about the pages\nit visits. It is versatile, allowing you to write your own specialized tasks quickly and easily.\n\n=== Features\n\n* Choose the links to follow on each page with +focus_crawl+\n* Multi-threaded design for high performance\n* Tracks +301+ HTTP redirects\n* Allows exclusion of URLs based on regular expressions\n* Records response time for each page\n* Obey _robots.txt_ directives (optional, but recommended)\n* In-memory or persistent storage of pages during crawl, provided by Moneta[https://github.com/moneta-rb/moneta]\n* Inherits OpenURI behavior (redirects, automatic charset and encoding detection, proxy configuration options).\n\n<b>Do you have an idea or a suggestion? {Open an issue and talk about it}[https://github.com/brutuscat/medusa-crawler/issues/new]</b>\n\n=== Examples\n\nMedusa is versatile and to be used programatically, you can start with one or multiple URIs:\n\n    require 'medusa'\n\n    Medusa.crawl('https://www.example.com', depth_limit: 2)\n\nOr you can pass a block and it will yield the crawler back, to manage configuration or drive its crawling focus:\n\n    require 'medusa'\n\n    Medusa.crawl('https://www.example.com', depth_limit: 2) do |crawler|\n      crawler.discard_page_bodies = some_flag\n\n      # Persist all the pages state across crawl-runs.\n      crawler.clear_on_startup = false\n      crawler.storage = Medusa::Storage.Moneta(:Redis, 'redis://redis.host.name:6379/0')\n\n      crawler.skip_links_like(/private/)\n\n      crawler.on_pages_like(/public/) do |page|\n        logger.debug \"[public page]  \#{page.url} took \#{page.response_time} found \#{page.links.count}\"\n      end\n\n      # Use an arbitrary logic, page by page, to continue customize the crawling.\n      crawler.focus_crawl(/public/) do |page|\n        page.links.first\n      end\n    end\n\n".freeze
  s.email = "mauroasprea@gmail.com".freeze
  s.extra_rdoc_files = ["README.rdoc".freeze]
  s.files = ["README.rdoc".freeze]
  s.homepage = "https://github.com/brutuscat/medusa-crawler".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["-m".freeze, "README.rdoc".freeze, "-t".freeze, "Medusa".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Medusa is a ruby crawler framework".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<moneta>.freeze, ["~> 1.3", ">= 1.3.0"])
    s.add_runtime_dependency(%q<nokogiri>.freeze, ["~> 1.3", ">= 1.3.0"])
    s.add_runtime_dependency(%q<robotex>.freeze, ["~> 1.0", ">= 1.0.0"])
  else
    s.add_dependency(%q<moneta>.freeze, ["~> 1.3", ">= 1.3.0"])
    s.add_dependency(%q<nokogiri>.freeze, ["~> 1.3", ">= 1.3.0"])
    s.add_dependency(%q<robotex>.freeze, ["~> 1.0", ">= 1.0.0"])
  end
end
